function Create(self)
	self.LagTimer = Timer()
	self.GripTimer = Timer()
	self.smokeparticles = {"Acid Bubble Small","Acid Bubble Small", "Acid Bubble Small", "Acid Bubble Large" }
	self.oldpos = self.Pos
	self.Lifetime = self.Lifetime * (math.random(8,12) / 10)
	self.Vel = self.Vel * (math.random(9,11) / 10)
	if math.random(3) > 1 then
		self.trail = true
		self.traildiv = math.random(1,3)
		self.stick = false
	else
		self.trail = false
		self.stick = true
	end
end

function Update(self)
	if self.LagTimer:IsPastSimMS(120) then
		if self:GetAltitude(15,4) < 5 then
			self:EnableEmission(true)
		else
			self:EnableEmission(false)
			if self.trail then
				for i=1, self.traildiv do
					self.particle = CreateMOSParticle(self.smokeparticles[math.random(#self.smokeparticles)])
					self.particle.Pos = self.Pos - (SceneMan:ShortestDistance(self.Pos, self.oldpos, true) * (i / self.traildiv))
					self.particle.Vel = self.Vel / 2
					self.particle.Lifetime = self.particle.Lifetime * (math.random(8,12) / 10)
					MovableMan:AddParticle(self.particle);
				end
			end
		end
		self.LagTimer:Reset()
	end
	if self.stick then
		if self.GripTimer:IsPastSimMS(420) and not self.stuck then
			for actor in MovableMan.Actors do
				if actor.BoundingBox:WithinBox(self.Pos) then
					self.stuck = actor
					break
				end
			end
			self.GripTimer:Reset()
		elseif self.stuck and MovableMan:IsActor(self.stuck) then
			self.Pos = (self.stuck.BoundingBox:GetWithinBox(self.Pos) + (self.Pos * 2) + self.stuck.Pos) / 4
			self.Vel = self.stuck.Vel
			self:EnableEmission(true)
			self.HitsMOs = false
		elseif not MovableMan:IsActor(self.stuck) then
			self.stuck = nil
			self.HitsMOs = true
		end
	end
	self.oldpos = self.Pos
end

function Destroy(self)

end
